concepts::common_type< Ts > Struct Template Reference
Utility

Users should specialize this to hook the `common_with` concept until `std` gets a SFINAE-friendly `std::common_type` and there's some sane way to deal with cv and ref qualifiers. More...

`#include <concepts/type_traits.hpp>`

## Detailed Description

### template<typename ... Ts>
struct concepts::common_type< Ts >

Users should specialize this to hook the `common_with` concept until `std` gets a SFINAE-friendly `std::common_type` and there's some sane way to deal with cv and ref qualifiers.